"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;
function generator(_ref) {
  var spacing = _ref.spacing,
      typography = _ref.typography,
      colors = _ref.colors;

  return {
    labelPadding: spacing.small,
    labelLeftPadding: spacing.large,
    labelBottomPadding: spacing.xxSmall,
    labelFontSize: typography.fontSizeSmall,
    labelColor: colors.slate,
    contentTopBottomPadding: spacing.medium,
    contentLeftRightPadding: spacing.medium
  };
}