'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Checkbox = require('@instructure/ui-forms/lib/components/Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _lib = require('@instructure/ui-themeable/lib');

var _lib2 = _interopRequireDefault(_lib);

var _theme = require('../../theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  template: function template(theme) {
    return '/*  imported from styles.css  */\n\n._1zx4LG0WtFtLkeStUG2duN {\n  margin-left: 4.2rem;\n  padding-top: ' + theme.detailsWrapperTopPadding + ';\n}\n\n._3P2qKdZUWAHJy0r9dJ58C_ {\n  padding: ' + theme.pageTopPadding + ' ' + theme.pagePadding + ' ' + theme.pagePadding + ';\n}\n\n._2saZgs8FVib01pGXJkfD_W {\n  list-style: none;\n  margin: ' + theme.listTopMargin + ' 0 0 0;\n  padding: 0;\n}\n\n.tH3Apbg5qaUpqiLO5nLdP {\n  border: ' + theme.listItemBorderWidth + ' solid ' + theme.listItemBorderColor + ';\n  border-left: 0 none;\n  border-right: 0 none;\n  margin: 0;\n  padding: ' + theme.listItemPadding + ';\n}\n\n._36OTq8VHHo330RMsHFwXA7 {\n  display: block;\n}\n';
  },
  'detailsWrapper': '_1zx4LG0WtFtLkeStUG2duN',
  'page': '_3P2qKdZUWAHJy0r9dJ58C_',
  'list': '_2saZgs8FVib01pGXJkfD_W',
  'listItem': 'tH3Apbg5qaUpqiLO5nLdP',
  'setTimeLabel': '_36OTq8VHHo330RMsHFwXA7'
};
var Setting = (_dec = (0, _lib2.default)(_theme2.default, styles), _dec(_class = (_temp = _class2 = function (_Component) {
  (0, _inherits3.default)(Setting, _Component);

  function Setting() {
    (0, _classCallCheck3.default)(this, Setting);
    return (0, _possibleConstructorReturn3.default)(this, (Setting.__proto__ || Object.getPrototypeOf(Setting)).apply(this, arguments));
  }

  (0, _createClass3.default)(Setting, [{
    key: 'renderChildren',
    value: function renderChildren() {
      if (!this.props.showMore) {
        return null;
      }
      return _react2.default.createElement(
        'div',
        { className: styles.detailsWrapper },
        this.props.children
      );
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'li',
        { className: styles.listItem },
        _react2.default.createElement(_Checkbox2.default, {
          checked: this.props.isChecked,
          'data-automation': this.props.automationData,
          label: this.props.label,
          onChange: this.props.onChange,
          value: 'true',
          variant: 'toggle'
        }),
        _react2.default.createElement(
          'div',
          { 'aria-live': 'polite' },
          this.renderChildren()
        )
      );
    }
  }]);
  Setting.displayName = 'Setting'
  ;
  return Setting;
}(_react.Component), _class2.propTypes = {
  automationData: _propTypes2.default.string,
  children: _propTypes2.default.oneOfType([_propTypes2.default.arrayOf(_propTypes2.default.node), _propTypes2.default.node]),
  isChecked: _propTypes2.default.bool.isRequired,
  label: _propTypes2.default.node.isRequired,
  onChange: _propTypes2.default.func.isRequired,
  showMore: _propTypes2.default.bool
}, _class2.defaultProps = {
  automationData: null,
  children: null,
  showMore: false
}, _temp)) || _class);
exports.default = Setting;