'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setPendingDeletionTagAssociations = exports.removeTagAssociation = exports.addTagAssociations = undefined;

var _constants = require('../../constants');

var addTagAssociations = exports.addTagAssociations = function addTagAssociations(entityType, entityId, tagAssociations) {
  return {
    type: _constants.ADD_TAG_ASSOCIATIONS,
    payload: {
      entityType: entityType,
      entityId: entityId,
      tagAssociations: tagAssociations
    }
  };
};

var removeTagAssociation = exports.removeTagAssociation = function removeTagAssociation(entityType, entityId, tagAssociationId) {
  return {
    type: _constants.REMOVE_TAG_ASSOCIATION,
    payload: {
      entityType: entityType,
      entityId: entityId,
      tagAssociationId: tagAssociationId
    }
  };
};

var setPendingDeletionTagAssociations = exports.setPendingDeletionTagAssociations = function setPendingDeletionTagAssociations(entityType, entityId, tags) {
  return {
    type: _constants.SET_PENDING_DELETION_TAG_ASSOCIATIONS,
    payload: {
      entityType: entityType,
      entityId: entityId,
      tags: tags
    }
  };
};