'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Heading = require('@instructure/ui-elements/lib/components/Heading');

var _Heading2 = _interopRequireDefault(_Heading);

var _lib = require('@instructure/ui-themeable/lib');

var _lib2 = _interopRequireDefault(_lib);

var _Card = require('../../shared/Card');

var _Card2 = _interopRequireDefault(_Card);

var _Page = require('../../../../common/components/layout/Page');

var _Page2 = _interopRequireDefault(_Page);

var _formatMessage = require('../../../format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  template: function template(theme) {
    return '/*  imported from styles.css  */\n\n._36vjH1-46q_UH7tivmKIqs {\n  display: flex;\n  flex-wrap: wrap;\n  justify-content: center;\n  margin-top: ' + theme.wrapperMargin + ';\n}\n\n._2y8kTHQascBY-2dSDDAhZA {\n  width: 100%;\n  text-align: center;\n  font-size: ' + theme.heroFontSize + ';\n  color: ' + theme.heroColor + ';\n}\n\n[dir="ltr"] ._2y8kTHQascBY-2dSDDAhZA {\n  text-align: center;\n}\n\n[dir="rtl"] ._2y8kTHQascBY-2dSDDAhZA {\n  text-align: center;\n}\n\n.si5aOPy_XCIB66uNH-Fc0 {\n  width: 100%;\n  text-align: center;\n  margin-bottom: ' + theme.textWrapperMargin + ';\n  color: ' + theme.textWrapperColor + ';\n}\n\n[dir="ltr"] .si5aOPy_XCIB66uNH-Fc0 {\n  text-align: center;\n}\n\n[dir="rtl"] .si5aOPy_XCIB66uNH-Fc0 {\n  text-align: center;\n}\n\n._2tBVkoOlRe-PQIBEruC0n9 {\n  text-align: center;\n  font-size: ' + theme.titleFontSize + ';\n  margin: ' + theme.titleMargin + ';\n}\n\n[dir="ltr"] ._2tBVkoOlRe-PQIBEruC0n9 {\n  text-align: center;\n}\n\n[dir="rtl"] ._2tBVkoOlRe-PQIBEruC0n9 {\n  text-align: center;\n}\n\n._3QqNdmmFj6cHKJ3XkGxZQP {\n  text-align: center;\n  font-size: ' + theme.subtitleFontSize + ';\n}\n\n[dir="ltr"] ._3QqNdmmFj6cHKJ3XkGxZQP {\n  text-align: center;\n}\n\n[dir="rtl"] ._3QqNdmmFj6cHKJ3XkGxZQP {\n  text-align: center;\n}\n\n._3iTSPtferux4-DMIERd7qQ {\n  margin: ' + theme.buttonWrapperMargin + ';\n  text-align: center;\n  width: 100%;\n}\n\n[dir="ltr"] ._3iTSPtferux4-DMIERd7qQ {\n  text-align: center;\n}\n\n[dir="rtl"] ._3iTSPtferux4-DMIERd7qQ {\n  text-align: center;\n}\n';
  },
  'wrapper': '_36vjH1-46q_UH7tivmKIqs',
  'hero': '_2y8kTHQascBY-2dSDDAhZA',
  'textWrapper': 'si5aOPy_XCIB66uNH-Fc0',
  'title': '_2tBVkoOlRe-PQIBEruC0n9',
  'subtitle': '_3QqNdmmFj6cHKJ3XkGxZQP',
  'buttonWrapper': '_3iTSPtferux4-DMIERd7qQ'
};
var NotFound = (_dec = (0, _lib2.default)(_theme2.default, styles), _dec(_class = function (_Component) {
  (0, _inherits3.default)(NotFound, _Component);

  function NotFound() {
    (0, _classCallCheck3.default)(this, NotFound);
    return (0, _possibleConstructorReturn3.default)(this, (NotFound.__proto__ || Object.getPrototypeOf(NotFound)).apply(this, arguments));
  }

  (0, _createClass3.default)(NotFound, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Page2.default,
        null,
        _react2.default.createElement(
          _Card2.default,
          { wrapped: true, className: styles.wrapper },
          _react2.default.createElement(
            'div',
            { className: styles.hero },
            '404'
          ),
          _react2.default.createElement(
            'div',
            { className: styles.textWrapper },
            _react2.default.createElement(
              'div',
              { className: styles.title },
              _react2.default.createElement(
                _Heading2.default,
                { level: 'h2', as: 'h1' },
                (0, _formatMessage2.default)('Page Not Found')
              )
            ),
            _react2.default.createElement(
              'div',
              { className: styles.subtitle },
              (0, _formatMessage2.default)('We cannot find the page you requested. Sorry...')
            )
          )
        )
      );
    }
  }]);
  NotFound.displayName = 'NotFound'
  ;
  return NotFound;
}(_react.Component)) || _class);
exports.default = NotFound;