'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('../react-redux');

var _reduxStore = require('../../reduxStore');

var _reduxStore2 = _interopRequireDefault(_reduxStore);

var _Calculator = require('./layout/header/Calculator');

var _Calculator2 = _interopRequireDefault(_Calculator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SDKHeaderCalculator = function SDKHeaderCalculator() {
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: _reduxStore2.default },
    _react2.default.createElement(_Calculator2.default, null)
  );
};

SDKHeaderCalculator.displayName = 'SDKHeaderCalculator';

exports.default = SDKHeaderCalculator;