'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.removeSharedBank = exports.addSharedBanks = undefined;

var _constants = require('../../constants');

var addSharedBanks = exports.addSharedBanks = function addSharedBanks(sharedBank) {
  return {
    type: _constants.ADD_SHARED_BANKS,
    payload: sharedBank
  };
};

var removeSharedBank = exports.removeSharedBank = function removeSharedBank(bankId) {
  return {
    type: _constants.REMOVE_SHARED_BANK,
    payload: bankId
  };
};