'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class; // TODO: Remove when clients are no longer using bare Report


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Heading = require('@instructure/ui-elements/lib/components/Heading');

var _Heading2 = _interopRequireDefault(_Heading);

var _lib = require('@instructure/ui-themeable/lib');

var _lib2 = _interopRequireDefault(_lib);

var _Page = require('../../../../common/components/layout/Page');

var _Page2 = _interopRequireDefault(_Page);

var _formatMessage = require('../../../../common/format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

var _QuizAndItemAnalysis = require('../../resources/QuizAndItemAnalysis');

var _QuizAndItemAnalysis2 = _interopRequireDefault(_QuizAndItemAnalysis);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  template: function template(theme) {
    return '/*  imported from styles.css  */\n\n.Report__styles__page {\n  padding: ' + theme.pagePadding + ' 0;\n}\n\n.Report__styles__content {\n  margin-top: ' + theme.contentMargin + ';\n}\n\n.Report__styles__title {\n  margin: ' + theme.titleMarginTop + ' ' + theme.titleMarginRightLeft + ' ' + theme.titleMarginBottom + ' ' + theme.titleMarginRightLeft + ';\n}\n';
  },
  'page': 'Report__styles__page',
  'content': 'Report__styles__content',
  'title': 'Report__styles__title'
};
var Report = (_dec = (0, _lib2.default)(_theme2.default, styles), _dec(_class = function (_Component) {
  (0, _inherits3.default)(Report, _Component);

  function Report() {
    (0, _classCallCheck3.default)(this, Report);
    return (0, _possibleConstructorReturn3.default)(this, (Report.__proto__ || Object.getPrototypeOf(Report)).apply(this, arguments));
  }

  (0, _createClass3.default)(Report, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Page2.default,
        null,
        _react2.default.createElement(
          'div',
          { className: styles.page },
          _react2.default.createElement(
            'div',
            { className: styles.title },
            _react2.default.createElement(
              _Heading2.default,
              { level: 'h2', as: 'h1' },
              '\u30EC\u30DD\u30FC\u30C8'
            )
          ),
          _react2.default.createElement(
            'div',
            { className: styles.content },
            _react2.default.createElement(_QuizAndItemAnalysis2.default, this.props)
          )
        )
      );
    }
  }]);
  Report.displayName = 'Report'
  ;
  return Report;
}(_react.Component)) || _class);
exports.default = Report;