'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp; /* eslint "react/prop-types": "warn" */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _IconBankLine = require('instructure-icons/lib/Line/IconBankLine');

var _IconBankLine2 = _interopRequireDefault(_IconBankLine);

var _Button = require('@instructure/ui-buttons/lib/components/Button');

var _Button2 = _interopRequireDefault(_Button);

var _AccessibleContent = require('@instructure/ui-a11y/lib/components/AccessibleContent');

var _AccessibleContent2 = _interopRequireDefault(_AccessibleContent);

var _Text = require('@instructure/ui-elements/lib/components/Text');

var _Text2 = _interopRequireDefault(_Text);

var _formatMessage = require('../../../../../../common/format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ItemBanksButton = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(ItemBanksButton, _Component);

  function ItemBanksButton() {
    (0, _classCallCheck3.default)(this, ItemBanksButton);
    return (0, _possibleConstructorReturn3.default)(this, (ItemBanksButton.__proto__ || Object.getPrototypeOf(ItemBanksButton)).apply(this, arguments));
  }

  (0, _createClass3.default)(ItemBanksButton, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Button2.default,
        {
          'data-automation': 'sdk-item-banks-button',
          onClick: this.props.onClick,
          ref: this.props.instUiButtonRef,
          variant: 'light',
          icon: _IconBankLine2.default
        },
        _react2.default.createElement(
          _AccessibleContent2.default,
          { alt: 'T\u0101piri mai i te p\u0113ke t\u016Bemi' },
          _react2.default.createElement(
            _Text2.default,
            { size: 'small' },
            'Ng\u0101 T\u016Bemi Peke'
          )
        )
      );
    }
  }]);
  ItemBanksButton.displayName = 'ItemBanksButton'
  ;
  return ItemBanksButton;
}(_react.Component), _class.propTypes = {
  instUiButtonRef: _propTypes2.default.func.isRequired,
  onClick: _propTypes2.default.func.isRequired
}, _temp);
exports.default = ItemBanksButton;