'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redux = require('redux');

var _reactRedux = require('../../../react-redux');

var _upload = require('../../../actions/upload');

var _quizzes = require('../../../../building/api/quizzes');

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapDispatchToProps = function mapDispatchToProps(dispatch, props) {
  return {
    setUploadStatus: (0, _redux.bindActionCreators)(_upload.uploadStatus, dispatch),
    interactionFileUpload: (0, _redux.bindActionCreators)(_quizzes.interactionFileUpload, dispatch)
  };
};

exports.default = (0, _reactRedux.connect)(null, mapDispatchToProps)(_presenter2.default);