'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  permutations: [{
    scenarios: [{
      attemptHistory: [{
        authoritative: false,
        displayName: 'attempt 1',
        percentage: 0,
        pointsPossible: 100,
        score: 0,
        quizSessionId: '1'
      }, {
        authoritative: true,
        displayName: 'attempt 2',
        percentage: 0.5,
        pointsPossible: 100,
        score: 50,
        quizSessionId: '2'
      }, {
        authoritative: false,
        displayName: 'attempt 3',
        percentage: 0.48,
        pointsPossible: 100,
        score: 48,
        quizSessionId: '3'
      }]
    }, {
      attemptHistory: [{
        displayName: 'attempt 1',
        quizSessionId: '1'
      }, {
        displayName: 'attempt 2',
        quizSessionId: '2'
      }, {
        displayName: 'attempt 3',
        quizSessionId: '3'
      }]
    }, {
      attemptHistory: [{
        quizSessionId: '1',
        score: 500000
      }, {
        quizSessionId: '2',
        score: 1000000
      }, {
        percentage: 0.437186134
      }]
    }]
  }],
  renderProps: function renderProps(props) {
    return {
      componentProps: {
        attemptHistory: props.scenarios.attemptHistory,
        getQuizSessions: Function.prototype,
        onAttemptClick: Function.prototype,
        quizId: 1,
        scoreToKeep: 'highest',
        selectedSessionId: '1'
      }
    };
  }
};