'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.interactionTypeMetadata = undefined;

var _IconPlusLine = require('instructure-icons/lib/Line/IconPlusLine');

var _IconPlusLine2 = _interopRequireDefault(_IconPlusLine);

var _formatMessage = require('../format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// TODO: Add correct icon file imports when they are in inst icons
// import MultipleChoiceIcon from 'instructure-icons/lib/Line/<insert icon name here>'
// import MultipleAnswerIcon from 'instructure-icons/lib/Line/<insert icon name here>'
// import TrueOrFalseIcon from 'instructure-icons/lib/Line/<insert icon name here>'
// import MatchingIcon from 'instructure-icons/lib/Line/<insert icon name here>'
// import OrderingIcon from 'instructure-icons/lib/Line/<insert icon name here>'
// import FillBlankIcon from 'instructure-icons/lib/Line/<insert icon name here>'
// import EssayIcon from 'instructure-icons/lib/Line/<insert icon name here>'
var interactionTypesIconDictionary = function interactionTypesIconDictionary(intType) {
  return {
    // TODO: Uncomment when we have the icons imported
    // 'choice': MultipleChoiceIcon,
    // 'multi-answer': MultipleAnswerIcon,
    // 'true-false': TrueOrFalseIcon,
    // 'matching': MatchingIcon,
    // 'ordering': OrderingIcon,
    // 'fill-blank': FillBlankIcon,
    // 'essay': EssayIcon
  }[intType.slug] || _IconPlusLine2.default;
};

var interactionTypesNameDictionary = function interactionTypesNameDictionary(intType) {
  return {
    categorization: 'Klasyfikacja',
    choice: 'Wielokrotny wyb\xF3r',
    essay: 'Esej',
    'file-upload': 'Prze\u015Blij plik',
    'fill-blank': 'Uzupe\u0142nij puste pola',
    formula: 'Formu\u0142a',
    'hot-spot': 'Hot-spot',
    matching: 'Dopasowywanie',
    'multi-answer': 'Wiele odpowiedzi',
    numeric: 'Liczbowa',
    ordering: 'Kolejno\u015B\u0107',
    'true-false': 'Prawda czy fa\u0142sz'
  }[intType.slug] || intType.name;
};

var interactionTypeMetadata = exports.interactionTypeMetadata = function interactionTypeMetadata(intType) {
  return {
    icon: interactionTypesIconDictionary(intType),
    name: interactionTypesNameDictionary(intType)
  };
};