'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var jsonHeaders = exports.jsonHeaders = {
  Accept: 'application/json',
  'Content-Type': 'application/json'
};

var jwtHeader = exports.jwtHeader = function jwtHeader(token) {
  if (token) {
    return {
      Authorization: token,
      AuthType: 'Signature'
    };
  }
};

var httpHeaders = exports.httpHeaders = function httpHeaders(token) {
  return Object.assign({}, jsonHeaders, jwtHeader(token));
};