'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Checkbox = require('@instructure/ui-forms/lib/components/Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _formatMessage = require('../../../../../../common/format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

var _Setting = require('../Setting');

var _Setting2 = _interopRequireDefault(_Setting);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OneQuestionAtATime = (_temp2 = _class = function (_Component) {
  (0, _inherits3.default)(OneQuestionAtATime, _Component);

  function OneQuestionAtATime() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, OneQuestionAtATime);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = OneQuestionAtATime.__proto__ || Object.getPrototypeOf(OneQuestionAtATime)).call.apply(_ref, [this].concat(args))), _this), _this.toggleOneQuestionAtATime = function (event) {
      var _this$props = _this.props,
          setOneAtATimeType = _this$props.setOneAtATimeType,
          activeQuizId = _this$props.activeQuizId;

      setOneAtATimeType(activeQuizId, event.target.checked);
    }, _this.toggleAllowBacktracking = function (event) {
      var _this$props2 = _this.props,
          setBacktracking = _this$props2.setBacktracking,
          activeQuizId = _this$props2.activeQuizId;

      setBacktracking(activeQuizId, event.target.checked);
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(OneQuestionAtATime, [{
    key: 'oneQuestionAtATimeOn',
    value: function oneQuestionAtATimeOn() {
      return this.props.oneAtATimeType === 'question';
    }
  }, {
    key: 'backtrackingAllowed',
    value: function backtrackingAllowed() {
      return this.props.allowBacktracking;
    }

    // =============
    //    ACTIONS
    // =============

  }, {
    key: 'render',


    // =============
    //   RENDERING
    // =============

    value: function render() {
      return _react2.default.createElement(
        _Setting2.default,
        {
          automationData: 'sdk-OQAAT-toggle',
          isChecked: this.oneQuestionAtATimeOn(),
          showMore: this.oneQuestionAtATimeOn(),
          label: 'Uma pergunta de cada vez',
          onChange: this.toggleOneQuestionAtATime
        },
        _react2.default.createElement(_Checkbox2.default, {
          checked: this.backtrackingAllowed(),
          label: 'Permitir retrocesso',
          onChange: this.toggleAllowBacktracking,
          value: 'true',
          'data-automation': 'sdk-OQAAT-backtrack'
        })
      );
    }
  }]);
  OneQuestionAtATime.displayName = 'OneQuestionAtATime'
  ;
  return OneQuestionAtATime;
}(_react.Component), _class.propTypes = {
  activeQuizId: _propTypes2.default.string.isRequired,
  allowBacktracking: _propTypes2.default.bool.isRequired,
  oneAtATimeType: _propTypes2.default.string,
  setBacktracking: _propTypes2.default.func.isRequired,
  setOneAtATimeType: _propTypes2.default.func.isRequired
}, _class.defaultProps = {
  oneAtATimeType: 'none'
}, _temp2);
exports.default = OneQuestionAtATime;