'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactImmutableProptypes = require('react-immutable-proptypes');

var _reactImmutableProptypes2 = _interopRequireDefault(_reactImmutableProptypes);

var _Popover = require('../../../../../../common/components/resources/quiz/AddContent/Popover');

var _Popover2 = _interopRequireDefault(_Popover);

var _QuizEntriesSection = require('../../QuizEntriesSection');

var _QuizEntriesSection2 = _interopRequireDefault(_QuizEntriesSection);

var _Instructions = require('../../../../resources/quiz/instructions/Instructions');

var _Instructions2 = _interopRequireDefault(_Instructions);

var _Title = require('../../../../resources/quiz/title/Title');

var _Title2 = _interopRequireDefault(_Title);

var _constants = require('../../../../../../constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BuildContent = (_temp2 = _class = function (_Component) {
  (0, _inherits3.default)(BuildContent, _Component);

  function BuildContent() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, BuildContent);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = BuildContent.__proto__ || Object.getPrototypeOf(BuildContent)).call.apply(_ref, [this].concat(args))), _this), _this.quizId = function () {
      return _this.props.quiz.id;
    }, _this.quizEntryRef = function (quizEntryId) {
      return function (node) {
        _this[_constants.QUIZ_ENTRY_REF + '_' + quizEntryId] = node;
      };
    }, _this.quizEntryWrapperRef = function (quizEntryId) {
      return function (node) {
        _this[_constants.QUIZ_ENTRY_REF + '_' + quizEntryId] = node;
      };
    }, _this.renderAddContentPopover = function (isOver, position) {
      return isOver ? null : _react2.default.createElement(_Popover2.default, { quizId: _this.quizId(), position: position });
    }, _this.storeStartQuizEntries = function (node) {
      _this.startQuizEntries = node;
    }, _this.storeEndQuizEntries = function (node) {
      _this.endQuizEntries = node;
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(BuildContent, [{
    key: 'render',
    value: function render() {
      return this.props.connectDropTarget(_react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_Title2.default, {
          onQuizUpdated: this.props.onQuizUpdated,
          quiz: this.props.quiz,
          workingQuiz: this.props.workingQuiz,
          scrollKey: 'title'
        }),
        _react2.default.createElement(_Instructions2.default
        // to help with DnD above first quizEntry:
        , { ref: this.storeStartQuizEntries,
          quiz: this.props.quiz,
          scrollKey: 'instructions'
        }),
        this.renderAddContentPopover(this.props.isOver, 0),
        _react2.default.createElement(_QuizEntriesSection2.default, {
          isOver: this.props.isOver,
          quizId: this.props.quiz.id,
          quizEntries: this.props.quizEntries,
          renderAddContentPopover: this.renderAddContentPopover,
          setQuizEntryRef: this.quizEntryRef,
          setQuizEntryWrapperRef: this.quizEntryWrapperRef
        }),
        _react2.default.createElement('div', { ref: this.storeEndQuizEntries })
      ));
    }
  }]);
  BuildContent.displayName = 'BuildContent'
  ;
  return BuildContent;
}(_react.Component), _class.propTypes = {
  connectDropTarget: _propTypes2.default.func.isRequired, // injected by DnD
  isOver: _propTypes2.default.bool, // injected by DnD
  onQuizUpdated: _propTypes2.default.func, // passed in by consumer, optional
  quiz: _reactImmutableProptypes2.default.record.isRequired,
  quizEntries: _reactImmutableProptypes2.default.listOf(_reactImmutableProptypes2.default.record).isRequired,
  workingQuiz: _reactImmutableProptypes2.default.record.isRequired
}, _class.defaultProps = {
  isOver: false,
  onQuizUpdated: function onQuizUpdated() {}
}, _temp2);
exports.default = BuildContent;