'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('../react-redux');

var _reduxStore = require('../../reduxStore');

var _reduxStore2 = _interopRequireDefault(_reduxStore);

var _Timer = require('./layout/header/Timer');

var _Timer2 = _interopRequireDefault(_Timer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _ref = _react2.default.createElement(
  _reactRedux.Provider,
  { store: _reduxStore2.default },
  _react2.default.createElement(_Timer2.default, null)
);

var SDKTimer = function SDKTimer() {
  return _ref;
};

SDKTimer.displayName = 'SDKTimer';

exports.default = SDKTimer;