'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _formatMessage = require('../format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

var _constants = require('../../constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (val, options) {
  var limit = options.limit || _constants.BUILD_CHAR_LIMIT;
  if (val && JSON.stringify(val).length > limit) {
    return '\u062A\u0645 \u062A\u062C\u0627\u0648\u0632 \u0627\u0644\u062D\u062F \u0627\u0644\u0623\u0642\u0635\u0649 \u0644\u0644\u0645\u062D\u062A\u0648\u0649';
  }
};