'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _formatMessage = require('../../../../../../common/format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

var _Setting = require('../Setting');

var _Setting2 = _interopRequireDefault(_Setting);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ShuffleQuestions = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(ShuffleQuestions, _Component);

  function ShuffleQuestions() {
    var _ref;

    (0, _classCallCheck3.default)(this, ShuffleQuestions);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    var _this = (0, _possibleConstructorReturn3.default)(this, (_ref = ShuffleQuestions.__proto__ || Object.getPrototypeOf(ShuffleQuestions)).call.apply(_ref, [this].concat(args)));

    _this.toggleShuffleQuestions = _this.toggleShuffleQuestions.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(ShuffleQuestions, [{
    key: 'toggleShuffleQuestions',
    value: function toggleShuffleQuestions(event) {
      var _props = this.props,
          setQuizShuffleQuestions = _props.setQuizShuffleQuestions,
          activeQuizId = _props.activeQuizId;

      var value = event.target.checked;
      setQuizShuffleQuestions(activeQuizId, value);
    }
  }, {
    key: 'render',
    value: function render() {
      var shuffleQuestions = this.props.shuffleQuestions;

      return _react2.default.createElement(_Setting2.default, {
        automationData: 'sdk-shuffle-toggle',
        isChecked: shuffleQuestions,
        label: 'Cymysgu cwestiynau',
        onChange: this.toggleShuffleQuestions
      });
    }
  }]);
  ShuffleQuestions.displayName = 'ShuffleQuestions'
  ;
  return ShuffleQuestions;
}(_react.Component), _class.propTypes = {
  setQuizShuffleQuestions: _propTypes2.default.func.isRequired,
  shuffleQuestions: _propTypes2.default.bool.isRequired,
  activeQuizId: _propTypes2.default.string.isRequired
}, _temp);
exports.default = ShuffleQuestions;