'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactRedux = require('../../react-redux');

var _reduxStore = require('../../../reduxStore');

var _reduxStore2 = _interopRequireDefault(_reduxStore);

var _TakeButton = require('../../../taking/components/pages/Take/TakeButton');

var _TakeButton2 = _interopRequireDefault(_TakeButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SDKTakeButton = function SDKTakeButton(_ref) {
  var onSubmitQuizSession = _ref.onSubmitQuizSession;
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: _reduxStore2.default },
    _react2.default.createElement(_TakeButton2.default, { onSubmitQuizSession: onSubmitQuizSession, 'data-automation': 'sdk-take-button' })
  );
};

SDKTakeButton.propTypes = {
  onSubmitQuizSession: _propTypes2.default.func
};

SDKTakeButton.defaultProps = {
  onSubmitQuizSession: null
};

exports.default = SDKTakeButton;