'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = mapStateToProps;

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

var _stateHelper = require('../../../../../../common/util/stateHelper');

var _stateHelper2 = _interopRequireDefault(_stateHelper);

var _quizzes = require('../../../../../api/quizzes');

var _reactRedux = require('../../../../../../common/react-redux');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapStateToProps() {
  return {
    calculatorType: _stateHelper2.default.activeQuiz().getWorkingInstance().calculatorType,
    activeQuizId: _stateHelper2.default.activeQuiz().id
  };
}

exports.default = (0, _reactRedux.connect)(mapStateToProps, { setCalculatorType: _quizzes.setCalculatorType })(_presenter2.default);