"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;
function generator(_ref) {
  var borders = _ref.borders,
      typography = _ref.typography,
      spacing = _ref.spacing,
      colors = _ref.colors,
      breakpoints = _ref.breakpoints;

  return {
    rootBorderWidth: borders.widthSmall,
    rootBorderColor: colors.porcelain,
    instructionsPaddingTopBottom: spacing.medium,
    instructionsPaddingLeftRight: spacing.large,
    instructionsBorderWidth: borders.widthSmall,
    instructionsBorderColor: colors.porcelain,
    instructionsHeaderPadding: spacing.xSmall,
    instructionsHeaderFontWeight: typography.fontWeightBold,
    itemsPadding: spacing.small,
    phoneBreakPoint: "max-width: " + breakpoints.medium,
    phoneInstructionsPaddingTopBottom: spacing.medium,
    phoneInstructionsPaddingLeftRight: spacing.small
  };
}