'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('../../../../../common/react-redux');

var _reduxStore = require('../../../../../reduxStore');

var _reduxStore2 = _interopRequireDefault(_reduxStore);

var _BuildingButtons = require('../BuildingButtons');

var _BuildingButtons2 = _interopRequireDefault(_BuildingButtons);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SDKBuildingButtons = function SDKBuildingButtons(props) {
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: _reduxStore2.default },
    _react2.default.createElement(_BuildingButtons2.default, props)
  );
};

SDKBuildingButtons.displayName = 'SDKBuildingButtons';

exports.default = SDKBuildingButtons;