'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('../react-redux');

var _reduxStore = require('../../reduxStore');

var _reduxStore2 = _interopRequireDefault(_reduxStore);

var _HeaderMenuButton = require('./layout/header/HeaderMenuButton');

var _HeaderMenuButton2 = _interopRequireDefault(_HeaderMenuButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SDKMenuButton = function SDKMenuButton(props) {
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: _reduxStore2.default },
    _react2.default.createElement(_HeaderMenuButton2.default, props)
  );
};

SDKMenuButton.displayName = 'SDKMenuButton';

exports.default = SDKMenuButton;